Bug 1565259 - Requests originating from the API contain no 'userid' attribute in $evm.root
Summary: Requests originating from the API contain no 'userid' attribute in $evm.root
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.4
Assignee: Gregg Tanzillo
QA Contact: Ievgen Zapolskyi
URL:
Whiteboard:
Depends On: 1546375
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 18:45 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
7 users (show)

Fixed In Version: 5.9.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1546375
Environment:
Last Closed: 2018-09-04 18:00:27 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:07 UTC

Comment 5 CFME Bot 2018-07-26 11:53:47 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:

https://github.com/ManageIQ/manageiq-api/commit/6b3e36c48702c48158b1aec8e86534c001bead26
commit 6b3e36c48702c48158b1aec8e86534c001bead26
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Wed Feb 21 11:13:56 2018 -0500
Commit:     Alberto Bellotti <abellotti@users.noreply.github.com>
CommitDate: Wed Feb 21 11:13:56 2018 -0500

    Merge pull request #326 from jntullo/bz_1546375

    Set user when queueing VM actions
    (cherry picked from commit c6e8b4f9507292bf98032a107d67a55613b50243)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565259

 app/controllers/api/base_controller/action.rb | 12 +
 app/controllers/api/instances_controller.rb | 18 +-
 app/controllers/api/vms_controller.rb | 15 +-
 spec/requests/instances_spec.rb | 32 +
 spec/requests/vms_spec.rb | 32 +-
 5 files changed, 93 insertions(+), 16 deletions(-)

Comment 6 Ievgen Zapolskyi 2018-08-14 15:22:20 UTC
Verified in 5.9.4.3

Comment 8 errata-xmlrpc 2018-09-04 18:00:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.